Handle lack of interface on Ovirt VM's better
Description

Right now, if you provision an Ovirt vm without an interface in Foreman it will get created in RHEV, but not in Foreman.

It seems that at the very least Foreman should clean up the vm it creates if it can't set it up in Foreman properly.

Beyond that it would probably be good to check to ensure that at least one interface is defined, just as you do to ensure an OS,

Domain, subnet, etc. have been selected before trying to provision.

History

#1 - 04/12/2013 10:16 AM - Anonymous

- File 0001-add-nic-when-creating-new-vm.patch added

Would you consider the patch attached acceptable to prevent this?

#2 - 04/12/2013 08:28 PM - Anonymous

Not directly related, but it might even be good to add a disk while at it:

unless attr.has_key? :volumes_attributes

        attr[:volumes_attributes] = {}

        attr[:volumes_attributes][:default] = {}

        attr[:volumes_attributes][:default][:size] = 16106127360

        attr[:volumes_attributes][:default][:bootable] = 'true'

      end

 and set the RAM a little higher than 256. RHEL can't boot with this little; not sure if other popular distros can.

vm.memory = 1*1024*1024*1024

 Altogether it yields a working default config, and you can always use a template to replace what's here with something preferable, or adjust to taste.

#3 - 05/18/2017 10:12 AM - Anonymous

- Description updated

- Status changed from New to Resolved

should be resolved by now

Files

0001-add-nic-when-creating-new-vm.patch 959 Bytes 04/12/2013 Anonymous
